# tbb::flow::interface6::priority_queue_node< T, Compare, A > Class Template Reference

Forwards messages in priority order. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::priority_queue_node< T, Compare, A >:

List of all members.

## Public Types

typedef T | input_type
| The input type of this receiver.
typedef T | output_type
| The output type of this sender.
typedef buffer_node< T, A > | base_type
typedef sender< input_type > | predecessor_type
| The predecessor type for this node.
typedef receiver< output_type > | successor_type
| The successor type for this node.

## Public Member Functions

| priority_queue_node (graph &g)
| Constructor.
| priority_queue_node (const priority_queue_node &src)
| Copy constructor.

## Protected Types

typedef buffer_node< T, A >::size_type | size_type
typedef buffer_node< T, A >::item_type | item_type
typedef buffer_node< T, A >::buffer_operation | prio_operation
| WAIT = 0
| SUCCEEDED
| FAILED
enum | op_stat { WAIT = 0, SUCCEEDED, FAILED }

## Protected Member Functions

void | reset ()
void | handle_operations (prio_operation *op_list)
void | internal_forward_task (prio_operation *op)
| Tries to forward valid items to successors.
void | internal_push (prio_operation *op)
void | internal_pop (prio_operation *op)
void | internal_reserve (prio_operation *op)
void | internal_consume (prio_operation *op)
void | internal_release (prio_operation *op)

## Detailed Description

### template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>
class tbb::flow::interface6::priority_queue_node< T, Compare, A >

Forwards messages in priority order.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.